<?php

namespace common\logic\CreditHistory;

use common\logic\BaseService;
use common\logic\RepositoryInterface;

class CreditHistoryRepository extends BaseService implements RepositoryInterface
{
    /**
     * Retourne les options de base nécessaires à la fonction de recherche.
     *
     * @return array
     */
    public static function defaultOptionsSearch()
    {
        return [
            'with' => [],
            'join_with' => [],
            'orderby' => CreditHistoryModel::tableName() . '.date ASc',
            'attribute_id_producer' => CreditHistoryModel::tableName() . '.id_producer'
        ];
    }
}