<?php

namespace common\logic\Producer;

use common\logic\BaseService;
use common\logic\FactoryInterface;

class ProducerFactory extends BaseService implements FactoryInterface
{
    public function create()
    {
        $producer = new ProducerModel();

        $producer->order_deadline = 20;
        $producer->order_delay = 1;

        return $producer;
    }
}