<?php

namespace common\logic\User;

use common\logic\BaseService;
use common\logic\BuilderInterface;

class UserBuilder extends BaseService implements BuilderInterface
{
    public function initPassword($user, $password)
    {
        $user->setPassword($password);
        $user->generateAuthKey();
    }

    public function initProducer($user, $producer)
    {
        $user->id_producer = $producer->id;
        $user->status = UserModel::STATUS_PRODUCER;
    }
}